Package net.commoble.jumbofurnace.recipes

# Record Class InFlightRecipeSyncPacket

java.lang.Object
java.lang.Record
net.commoble.jumbofurnace.recipes.InFlightRecipeSyncPacket

All Implemented Interfaces:
  `net.minecraft.network.protocol.common.custom.CustomPacketPayload`

public record InFlightRecipeSyncPacket(List<InFlightRecipe> recipes) extends Record implements net.minecraft.network.protocol.common.custom.CustomPacketPayload

## Nested Class Summary

## Nested classes/interfaces inherited from interface net.minecraft.network.protocol.common.custom.CustomPacketPayload

`net.minecraft.network.protocol.common.custom.CustomPacketPayload.FallbackProvider<B extends net.minecraft.network.FriendlyByteBuf>, net.minecraft.network.protocol.common.custom.CustomPacketPayload.Type<T extends net.minecraft.network.protocol.common.custom.CustomPacketPayload>, net.minecraft.network.protocol.common.custom.CustomPacketPayload.TypeAndCodec<B extends net.minecraft.network.FriendlyByteBuf,T extends net.minecraft.network.protocol.common.custom.CustomPacketPayload>`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final net.minecraft.resources.ResourceLocation`
`ID`
`static final net.minecraft.network.codec.StreamCodec<net.minecraft.network.RegistryFriendlyByteBuf,InFlightRecipeSyncPacket>`
`STREAM_CODEC`
`static final net.minecraft.network.protocol.common.custom.CustomPacketPayload.Type<InFlightRecipeSyncPacket>`
`TYPE`

## Constructor Summary

Constructors
Constructor
Description
`InFlightRecipeSyncPacket(List<InFlightRecipe> recipes)`
Creates an instance of a `InFlightRecipeSyncPacket` record class.

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`void`
`handle(net.neoforged.neoforge.network.handling.IPayloadContext context)`
`final int`
`hashCode()`
Returns a hash code value for this object.
`List<InFlightRecipe>`
`recipes()`
Returns the value of the `recipes` record component.
`final String`
`toString()`
Returns a string representation of this record class.
`net.minecraft.network.protocol.common.custom.CustomPacketPayload.Type<? extends net.minecraft.network.protocol.common.custom.CustomPacketPayload>`
`type()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.minecraft.network.protocol.common.custom.CustomPacketPayload

`toVanillaClientbound, toVanillaServerbound`

## Field Details

### ID

public static final net.minecraft.resources.ResourceLocation ID

### TYPE

public static final net.minecraft.network.protocol.common.custom.CustomPacketPayload.Type<InFlightRecipeSyncPacket> TYPE

### STREAM_CODEC

public static final net.minecraft.network.codec.StreamCodec<net.minecraft.network.RegistryFriendlyByteBuf,InFlightRecipeSyncPacket> STREAM_CODEC

## Constructor Details

### InFlightRecipeSyncPacket

public InFlightRecipeSyncPacket(List<InFlightRecipe> recipes)
Creates an instance of a `InFlightRecipeSyncPacket` record class.

Parameters:
  `recipes` - the value for the `recipes` record component

## Method Details

### type

public net.minecraft.network.protocol.common.custom.CustomPacketPayload.Type<? extends net.minecraft.network.protocol.common.custom.CustomPacketPayload> type()

Specified by:
  `type` in interface `net.minecraft.network.protocol.common.custom.CustomPacketPayload`

### handle

public void handle(net.neoforged.neoforge.network.handling.IPayloadContext context)

### toString

public final String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object

### equals

public final boolean equals(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.

### recipes

public List<InFlightRecipe> recipes()
Returns the value of the `recipes` record component.

Returns:
  the value of the `recipes` record component